# Generated from azure_stt-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name azure_stt

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: API Wrapper for the Microsoft Translator Text API 3.0
License: MIT
URL: https://github.com/PerfectMemory/azure_stt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
BuildArch: noarch

%description
API Wrapper for the Microsoft Translator Text API 3.0 (Cognitive Services).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/env.sample
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/azure_stt.gemspec
%doc %{gem_instdir}/docs

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.0-1
- Initial package
